Bug 540155 - libdvdread-devel: DVDFileStat is broken
Summary: libdvdread-devel: DVDFileStat is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdvdread
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-22 16:16 UTC by Olivier Rolland
Modified: 2009-12-24 20:43 UTC (History)
3 users (show)

Fixed In Version: 4.1.4-0.2.svn1188.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 842016 (view as bug list)
Environment:
Last Closed: 2009-12-24 20:42:15 UTC


Attachments (Terms of Use)

Description Olivier Rolland 2009-11-22 16:16:39 UTC
Description of problem: The function DVDFileStat requires a pointer to an allocated dvd_stat_t. However, dvd_stat_t is an opaque structure so it cannot be allocated. The function is then unusable.

Version-Release number of selected component (if applicable): 4.1.4-0.1.svn1184


How reproducible:


Steps to Reproduce:
1. Try compiling the following program:
#include <stdio.h>

#include <dvdread/dvd_reader.h>

int
main (void)
{
  dvd_reader_t *reader;

  reader = DVDOpen ("/dev/dvd");
  if (reader)
  {
    dvd_stat_t statbuf;

    if (DVDFileStat (reader, 0, DVD_READ_MENU_VOBS, &statbuf) == 0)
      printf ("Size of VIDEO_TS.VOB: %lu", statbuf.size);

    DVDClose (reader);
  }

  return 0;
}
2.
3.
  
Actual results:
foo.c: In function 'main':
foo.c:13: error: storage size of 'statbuf' isn't known


Expected results:
No error at all.

Additional info:

Comment 1 Dominik 'Rathann' Mierzejewski 2009-12-06 17:10:44 UTC
Confirmed, talking to upstream.

Comment 2 Dominik 'Rathann' Mierzejewski 2009-12-07 13:34:37 UTC
Fixed upstream, updated packages will follow soon. Thanks for the report.

Comment 3 Fedora Update System 2009-12-12 01:42:47 UTC
libdvdread-4.1.4-0.2.svn1188.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libdvdread-4.1.4-0.2.svn1188.fc12

Comment 4 Fedora Update System 2009-12-12 01:44:04 UTC
libdvdread-4.1.4-0.2.svn1188.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libdvdread-4.1.4-0.2.svn1188.fc11

Comment 5 Fedora Update System 2009-12-16 01:04:14 UTC
libdvdread-4.1.4-0.2.svn1188.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libdvdread'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13155

Comment 6 Fedora Update System 2009-12-16 01:21:09 UTC
libdvdread-4.1.4-0.2.svn1188.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libdvdread'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13239

Comment 7 Fedora Update System 2009-12-24 20:42:10 UTC
libdvdread-4.1.4-0.2.svn1188.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-12-24 20:42:59 UTC
libdvdread-4.1.4-0.2.svn1188.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.